org.jfree.base.modules

## Interface ModuleInfo

- All Known Subinterfaces:
    Module
  All Known Implementing Classes:
    AbstractModule, DefaultLogModule, DefaultModuleInfo

      public interface ModuleInfo

  The Module info class encapsulates metadata about a given module. It holds the list of dependencies and the module version and description.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMajorVersion()` Returns the major version of the base module.
    `java.lang.String` | `getMinorVersion()` Returns the minor version of the base module.
    `java.lang.String` | `getModuleClass()` Returns the module class of the desired base module.
    `java.lang.String` | `getPatchLevel()` Returns the patchlevel version of the base module.

- - ### Method Detail

    - #### getModuleClass

          java.lang.String getModuleClass()

      Returns the module class of the desired base module.
      Returns:
        The module class.

    - #### getMajorVersion

          java.lang.String getMajorVersion()

      Returns the major version of the base module. The string should contain a compareable character sequence so that higher versions of the module are considered greater than lower versions.
      Returns:
        The major version of the module.

    - #### getMinorVersion

          java.lang.String getMinorVersion()

      Returns the minor version of the base module. The string should contain a compareable character sequence so that higher versions of the module are considered greater than lower versions.
      Returns:
        The minor version of the module.

    - #### getPatchLevel

          java.lang.String getPatchLevel()

      Returns the patchlevel version of the base module. The patch level should be used to mark bugfixes. The string should contain a compareable character sequence so that higher versions of the module are considered greater than lower versions.
      Returns:
        The patch level version of the module.